%define rhsm_plugins_dir %{_datadir}/rhsm-plugins

Summary:	Tools and libraries for subscription and repository management
Name:		subscription-manager
Version:	1.9.6
Release:	4
License:	GPLv2+
Group:		System/Configuration/Packaging
Url:		https://fedorahosted.org/subscription-manager/
# How to create the source tarball:
#
# git clone git://git.fedorahosted.org/git/subscription-manager.git/
# yum install tito
# tito build --tag subscription-manager-$VERSION-$RELEASE --tgz
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(python)
Requires:	dbus-python
Requires:	python-dateutil
Requires:	python-dmidecode
Requires:	python-ethtool
Requires:	python-gobject2
Requires:	python-iniparse
Requires:	python-rhsm >= 1.9.1-1
Requires:	python-simplejson
Requires:	usermode
Requires:	virt-what
Requires(post,preun,postun):	systemd

%description
The Subscription Manager package provides programs and libraries to allow users
to manage subscriptions and yum repositories from the Red Hat entitlement
platform.

%files -f rhsm.lang
%doc LICENSE
%attr(755,root,root) %dir %{_var}/log/rhsm
%attr(755,root,root) %dir %{_sysconfdir}/rhsm
%attr(755,root,root) %dir %{_sysconfdir}/rhsm/facts
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/rhsm/rhsm.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/com.redhat.SubscriptionManager.conf
#remove the repo file when we are deleted
%ghost %{_sysconfdir}/urpmi/urpmicfg.d/rosa.cfg
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/yum/pluginconf.d/subscription-manager.conf
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/yum/pluginconf.d/product-id.conf
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/logrotate.d/subscription-manager
%{_sysconfdir}/bash_completion.d/subscription-manager
%{_sysconfdir}/bash_completion.d/rct
%{_sysconfdir}/bash_completion.d/rhn-migrate-classic-to-rhsm
%{_sysconfdir}/bash_completion.d/rhsm-icon
%{_sysconfdir}/bash_completion.d/rhsmcertd
%{_sysconfdir}/cron.daily/rhsmd
%{_datadir}/dbus-1/system-services/com.redhat.SubscriptionManager.service
%dir %{_datadir}/rhsm
%dir %{_datadir}/rhsm/subscription_manager
%{_datadir}/rhsm/subscription_manager/async.py*
%{_datadir}/rhsm/subscription_manager/base_plugin.py*
%{_datadir}/rhsm/subscription_manager/branding
%{_datadir}/rhsm/subscription_manager/cache.py*
%{_datadir}/rhsm/subscription_manager/certdirectory.py*
%{_datadir}/rhsm/subscription_manager/certlib.py*
%{_datadir}/rhsm/subscription_manager/certmgr.py*
%{_datadir}/rhsm/subscription_manager/cert_sorter.py*
%{_datadir}/rhsm/subscription_manager/cli.py*
%{_datadir}/rhsm/subscription_manager/dbus_interface.py*
%{_datadir}/rhsm/subscription_manager/factlib.py*
%{_datadir}/rhsm/subscription_manager/facts.py*
%{_datadir}/rhsm/subscription_manager/hwprobe.py*
%{_datadir}/rhsm/subscription_manager/isodate.py*
%{_datadir}/rhsm/subscription_manager/i18n_optparse.py*
%{_datadir}/rhsm/subscription_manager/i18n.py*
%{_datadir}/rhsm/subscription_manager/identity.py*
%{_datadir}/rhsm/subscription_manager/injection.py*
%{_datadir}/rhsm/subscription_manager/injectioninit.py*
%{_datadir}/rhsm/subscription_manager/__init__.py*
%{_datadir}/rhsm/subscription_manager/jsonwrapper.py*
%{_datadir}/rhsm/subscription_manager/listing.py*
%{_datadir}/rhsm/subscription_manager/lock.py*
%{_datadir}/rhsm/subscription_manager/logutil.py*
%{_datadir}/rhsm/subscription_manager/managercli.py*
%{_datadir}/rhsm/subscription_manager/managerlib.py*
%{_datadir}/rhsm/subscription_manager/plugins.py*
%{_datadir}/rhsm/subscription_manager/productid.py*
%{_datadir}/rhsm/subscription_manager/release.py*
%{_datadir}/rhsm/subscription_manager/repolib.py*
%{_datadir}/rhsm/subscription_manager/utils.py*
%{_datadir}/rhsm/subscription_manager/validity.py*
%{_datadir}/rhsm/subscription_manager/reasons.py*
%{_datadir}/rhsm/subscription_manager/cp_provider.py*
%{_datadir}/rhsm/subscription_manager/file_monitor.py*
# subscription-manager plugins
%dir %{rhsm_plugins_dir}
%dir %{_sysconfdir}/rhsm/pluginconf.d
# add default plugins here when we have some
# yum plugins
# Using _prefix + lib here instead of libdir as that evaluates to /usr/lib64 on x86_64,
# but yum plugins seem to normally be sent to /usr/lib/:
%{_prefix}/lib/yum-plugins/subscription-manager.py*
%{_prefix}/lib/yum-plugins/product-id.py*
%attr(755,root,root) %{_sbindir}/subscription-manager
%attr(755,root,root) %{_bindir}/subscription-manager
%attr(755,root,root) %{_bindir}/rhsmcertd
%attr(755,root,root) /usr/libexec/rhsmcertd-worker
%attr(755,root,root) /usr/libexec/rhsmd
%ghost %attr(755,root,root) %dir %{_var}/run/rhsm
%attr(755,root,root) %dir %{_var}/lib/rhsm
%attr(755,root,root) %dir %{_var}/lib/rhsm/facts
%attr(755,root,root) %dir %{_var}/lib/rhsm/packages
%attr(755,root,root) %dir %{_var}/lib/rhsm/cache
%{_sysconfdir}/pam.d/subscription-manager
%{_sysconfdir}/security/console.apps/subscription-manager
%attr(644,root,root) %{_unitdir}/rhsmcertd.service
%attr(644,root,root) %{_tmpfilesdir}/%{name}.conf
# Incude rt CLI tool
%dir %{_datadir}/rhsm/rct
%{_datadir}/rhsm/rct/__init__.py*
%{_datadir}/rhsm/rct/cli.py*
%{_datadir}/rhsm/rct/*commands.py*
%{_datadir}/rhsm/rct/printing.py*
%attr(755,root,root) %{_bindir}/rct
%{_mandir}/man8/subscription-manager.8*
%{_mandir}/man8/rhsmcertd.8*
%{_mandir}/man8/rct.8*

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf
%systemd_post rhsmcertd.service

%preun
%systemd_preun rhsmcertd.service

%postun
%systemd_postun rhsmcertd.service

#----------------------------------------------------------------------------

%package gui
Summary:	A GUI interface to manage Red Hat product subscriptions
Group:		System/Configuration/Packaging
Requires:	%{name} = %{EVRD}
Requires:	dbus-x11
Requires:	gnome-python
Requires:	gnome-python-canvas
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
# Can't figure this out automatically
Requires:	%{_lib}rsvg2_2

%description gui
This package contains a GTK+ graphical interface for configuring and
registering a system with a Red Hat Entitlement platform and manage
subscriptions.

%files gui
%doc LICENSE
%dir %{_datadir}/rhsm/subscription_manager/gui
%{_datadir}/rhsm/subscription_manager/gui/*
%{_datadir}/applications/subscription-manager-gui.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%attr(755,root,root) %{_sbindir}/subscription-manager-gui
%attr(755,root,root) %{_bindir}/subscription-manager-gui
%{_bindir}/rhsm-icon
%{_sysconfdir}/xdg/autostart/rhsm-icon.desktop
%{_sysconfdir}/pam.d/subscription-manager-gui
%{_sysconfdir}/security/console.apps/subscription-manager-gui
%{_sysconfdir}/bash_completion.d/subscription-manager-gui
%{_mandir}/man8/subscription-manager-gui.8*
%{_mandir}/man8/rhsm-icon.8*
%{_datadir}/omf/subscription-manager
%{_datadir}/gnome/help/subscription-manager

#----------------------------------------------------------------------------

%package firstboot
Summary:	Firstboot screens for subscription manager
Group:		System/Configuration/Packaging
Requires:	%{name}-gui = %{version}-%{release}
# Can't figure this out automatically
Requires:	%{_lib}rsvg2_2

%description firstboot
This package contains the firstboot screens for subscription manager.

%files firstboot
%{_datadir}/rhn/up2date_client/firstboot/rhsm_login.py*

#----------------------------------------------------------------------------

%package migration
Summary:	Migration scripts for moving to certificate based subscriptions
Group:		System/Configuration/Packaging
Requires:	%{name} = %{EVRD}

%description migration
This package contains scripts that aid in moving to certificate based
subscriptions

%files migration
%doc LICENSE README.Fedora
%dir %{_datadir}/rhsm/subscription_manager/migrate
%{_datadir}/rhsm/subscription_manager/migrate/__init__.py*
%{_datadir}/rhsm/subscription_manager/migrate/migrate.py*
%attr(755,root,root) %{_sbindir}/rhn-migrate-classic-to-rhsm
%{_mandir}/man8/rhn-migrate-classic-to-rhsm.8*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
make -f Makefile

%install
make -f Makefile install VERSION=%{version}-%{release} PREFIX=%{buildroot} MANPATH=%{_mandir}

mkdir -p %{buildroot}/lib/systemd/system/
mv %{buildroot}/usr/lib/systemd/system/rhsmcertd.service %{buildroot}/lib/systemd/system/

desktop-file-validate \
        %{buildroot}/etc/xdg/autostart/rhsm-icon.desktop

desktop-file-validate \
        %{buildroot}/usr/share/applications/subscription-manager-gui.desktop
%find_lang rhsm

# fix timestamps on our byte compiled files so them match across arches
find %{buildroot} -name \*.py -exec touch -r %{SOURCE0} '{}' \;

# fake out the rosa.cfg file
mkdir -p %{buildroot}%{_sysconfdir}/urpmi/urpmicfg.d
touch %{buildroot}%{_sysconfdir}/urpmi/urpmicfg.d/rosa.cfg


%changelog

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.9.6-4
- (8adc433) Drop external subscription-manager-tmpfiles.conf


